.lds-ring {
    display: inline-block;
    position: relative;
  }
  .lds-ring span {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 90%;
    height: 90%;
    margin: 10%;
    border: solid #000;
    border-width: .5em;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #000 transparent transparent transparent;
  }
  .lds-ring span:nth-child(1) {
    animation-delay: -0.45s;
  }
  .lds-ring span:nth-child(2) {
    animation-delay: -0.3s;
  }
  .lds-ring span:nth-child(3) {
    animation-delay: -0.15s;
  }
  @keyframes lds-ring {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

.spinner {
    opacity: .4;
}
.spinner .lds-ring {
  width: 64px;
  height: 64px;
}
.spinner.small .lds-ring {
  width: 15px;
  height: 15px;
}
.spinner.small .lds-ring span {
  border-width: .2em;
}